<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/bg_white_10dp"
    android:layout_marginTop="12dp">

    <com.cooleshow.base.widgets.QMUIRadiusImageView
        android:id="@+id/iv_bg"
        android:layout_width="match_parent"
        android:layout_height="111dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:qmui_corner_radius="5dp" />

    <TextView
        android:id="@+id/course_name"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_13"
        android:layout_marginLeft="@dimen/dp_5"
        android:layout_marginTop="@dimen/dp_7"
        android:background="@drawable/gray_1_radius_bg"
        android:gravity="center"
        android:paddingLeft="@dimen/dp_4"
        android:paddingRight="@dimen/dp_4"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_9"
        app:layout_constraintLeft_toLeftOf="@+id/iv_bg"
        app:layout_constraintTop_toTopOf="@+id/iv_bg" />

<!--    <View-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="0dp"-->
<!--        android:background="@drawable/bg_white_bottom_10dp"-->
<!--        app:layout_constraintBottom_toBottomOf="@+id/tv_price"-->
<!--        app:layout_constraintTop_toBottomOf="@+id/iv_bg" />-->

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:includeFontPadding="false"
        android:paddingStart="11dp"
        android:paddingEnd="11dp"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_14"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_bg"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="张豆豆" />


    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/cir_avatar"
        android:layout_width="18dp"
        android:layout_height="18dp"
        android:layout_marginStart="11dp"
        android:layout_marginTop="9dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_title" />

    <TextView
        android:id="@+id/tv_author_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="5dp"
        android:includeFontPadding="false"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        app:layout_constraintBottom_toBottomOf="@+id/cir_avatar"
        app:layout_constraintLeft_toRightOf="@+id/cir_avatar"
        app:layout_constraintTop_toTopOf="@+id/cir_avatar"
        tools:text="李老师" />

    <View
        android:id="@+id/view_line2"
        android:layout_width="1dp"
        android:layout_height="11dp"
        android:layout_marginStart="6dp"
        android:background="@color/color_d3d3d3"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/tv_author_name"
        app:layout_constraintLeft_toRightOf="@+id/tv_author_name"
        app:layout_constraintTop_toTopOf="@+id/tv_author_name" />

    <TextView
        android:id="@+id/tv_buy_num"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="6dp"
        android:includeFontPadding="false"
        android:textColor="@color/color_ff802c"
        android:textSize="@dimen/sp_11"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/view_line2"
        app:layout_constraintLeft_toRightOf="@+id/view_line2"
        app:layout_constraintTop_toTopOf="@+id/view_line2"
        tools:text="6人已购买" />

    <TextView
        android:id="@+id/tv_price"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="3dp"
        android:paddingBottom="12dp"
        android:textColor="@color/color_2dc7aa"
        android:textSize="@dimen/sp_14"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="@+id/cir_avatar"
        app:layout_constraintTop_toBottomOf="@+id/cir_avatar"
        tools:text="￥120/4课时" />

</androidx.constraintlayout.widget.ConstraintLayout>